> For the complete documentation index, see [llms.txt](https://incheol-jung.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://incheol-jung.gitbook.io/docs/study/http/rest-api.md).

# REST API

URI : Uniform Resource Identifier

통합 자원 식별자 URI는 인터넷에 있는 자원을 나타내는 유일한 주소이다.&#x20;

URL : Uniform Resource Locator

네트워크 상에서 자원이 어디 있는지를 알려주기 위한 규약

URI가 상위 개념이고 하위 개념으로 URL과 URN이 있다.&#x20;

URN : Uniform Resource Name

리

<http://naver.com/boards/123> 은 URI지만 URL은 아니다. 왜냐하면 123은 식별자이기 때문에 <http://naver.com까지는> URL로 볼수 있지만 식별자를 포함하면 URI로만 볼수 있다.&#x20;

### 참고

{% embed url="<https://hack-cracker.tistory.com/135>" %}

{% embed url="<https://bkjeon1614.tistory.com/6>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://incheol-jung.gitbook.io/docs/study/http/rest-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
